%APPROX_FIND returns the index of a vector element which is the 
% nearest match to the second argument of the function.
%
% Andy French. LAST UPDATED 27/07/2004.
%
% Syntax: OUTPUT=APPROX_FIND(VEC,ELEMENT)
%
% VEC is a vector of any length
% ELEMENT is a scalar
% OUTPUT is the nearest matching index of an element of VEC
% to ELEMENT
%
% Example: approx_find([1,2,3,4],2.1) yields 2

function output=approx_find(vec,element)

%Compute difference array
diff=abs(ones(size(vec))*element-vec);

%Find minimum difference and the corresponding element
min_diff=min(diff);
min_diff_index=find(diff==min_diff);

%Define output
output=min_diff_index(1);

%End of code.

