%CIRCLE
% Function that returns N vertices X,Y of a unit circle
%
% LAST UPDATED by Andy French 07-Dec-2005
%
% Syntax: [xc,yc]=circle(N)
%
% Example: [xc,yc]=circle(100);
% figure('color',[1 1 1],'name','Unit circle',...
%        'units','pixels','numbertitle','off')
% screendim=get(0,'screensize');
% set(gcf,'position',[screendim(3)/2-250,screendim(4)/2-250,500,500]);
% patch(xc,yc,'g'); 
% xlim([-2,2]); ylim([-2,2]); title('Unit circle')

function [xc,yc]=circle(N)

%Define radian angles beween 0 and 2*pi
a=linspace(0,2*pi,N);

%Define X and Y coordinates
xc=cos(a);
yc=sin(a);

%End of code