%FIG2PIC 
% Converts a figure into a bitmap and saves this to a specified
% directory.
%
% LAST UPDATED by Andy French. 10-Dec-2005.
%
% Syntax: FIG2PIC(FIG,BITMAP_TYPE,NAME,DIRECTORY)
%
% FIG is the handle of the figure
% BITMAP_TYPE is a string specifying the type of bitmap to be saved
% out of 'png', 'jpeg', 'tiff','pbm', 'pgm', and 'ppm'
% NAME is the filename stringm, sans extension
% DIRECTORY is the path of the directory the file is to be saved into
% If DIRECTOY==[] then the local directory is used.
%
% Example: fig=figure; surf(peaks); fig2pic(fig,'png','example',[])

function fig2pic(fig,bitmap_type,name,directory)

%Convert figure window to image
[frame,map]=frame2im(getframe(fig));	

%Save file of this first plot
filename=[directory,'\',name,'.',bitmap_type];

%Write file to specified directory above
imwrite(frame,filename,bitmap_type); 

%End of code

