%THELEGEND
% Function which simply creates a legend, without the need to refer to a
% plot, or a set of plot handles.
%
% LAST UPDATED by Andy French. 10-Dec-2005
%
% Syntax: h=thelegend(strings,chars)
%
% strings  - Cell array of legend strings
% chars    - Cell array of corresponding plot symbols to elements of
%            strings
%
% h        - Legend handle
%
% Example: h=thelegend({'moo','oom'},{'r.-','b*'})

function h=thelegend(strings,chars)

%Find length of strings
L=length(strings);

%Plot characters at the origin
for n=1:L
ph(n)=plot(0,0,chars{n});
hold on
end

%Create legend
h=legend(ph,strings);

%Delete origin characters
delete(ph);

%End of code